What are the requirements for a Blink system?

Delete

Support is ending for certain mobile device OS versions

Blink is ending its app support for Android version 5 and lower and iOS 13 and lower. Learn more about this update.

Mobile device and Wi-Fi requirements

Personal Devices* iPhone, iPad, iPod Touch, Android device, Fire OS mobile device, Echo Show, Echo Dot, Fire TV and Stick
Software iOS 14 or higher
Android v6.0 or higher
Fire OS v7.0 or higher
High Speed Internet Type: DSL, Cable, Fiber
Upload Speed: 2 Mbit/sec or more
(Satellite internet not supported)
Wi-Fi 2.4GHz   802.11b/g/n
IP Configuration DHCP
Wi-Fi Security WEP, WPA, WPA2 with TKIP SSID


* Blink products are strictly for non-commercial use, and NDAA compliance is not implied or assured.


Additional requirements 

  • A valid email address. Note: You will use this email in the event of a password reset, for communication with us regarding any issues, and for receiving time-limited account confirmation codes. Please be sure it is easily accessible.
  • A non-cellular 2.4 GHz Wi-Fi network (name and password) and high-speed Internet connection (DSL, Cable, Fiber) with a minimum 2 Mbit/sec upload speed. Unfortunately, due to high latency issues, we do not recommend using Blink with Satellite providers. Note: Blink is unable to gain internet access on networks that require authentication through a third-party login website.
  • The Sync Module requires a standard electrical outlet to provide power.
  • The Sync Module 2 requires a USB drive in order to use local storage.
  • The Blink Mini camera requires a standard electrical outlet to provide power.

The most recent version of the Blink app is always available in your app store.

Blink supports most smartphones, tablets, and many Alexa enabled products.

Follow the link or scan the QR code to access the most recent Blink app download.


Blink version 6.21.0*
for iOS 14 and later.

Blink version 6.21.0
for Android v6.0 and later.

Blink version 6.21.0
for Fire OS v7.0 and later.


*If you can't locate the Blink app iOS 6.15.0, please refer to this article: End of Support for Android Version 5 - iOS Versions 12 and 13






Can’t find what you’re looking for?

Contact Support